> For the complete documentation index, see [llms.txt](https://routelift.gitbook.io/routelift-api-integration/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://routelift.gitbook.io/routelift-api-integration/api-reference/get-wallet.md).

# Get Wallet

Wallet Details

GET `/v1/deliveries/wallet`\
Get wallet balance and virtual account details

#### Base URL

* Test: `https://sandbox-integrations.routelift.com/v1/deliveries/wallet`
* Live: `https://integrations.routelift.com/v1/deliveries/wallet`

#### Request

**Method**: `GET`\
**Content-Type**: `application/json`

**Sample Request Body**

```json
Null
```

#### Response

**Content-Type**: `application/json`

**Sample Response**

```json
{
    "success": true,
    "data": {
        "accountBalance": 0,
        "bonusBalance": 0,
        "virtualAccount": [
            {
                "bankName": "Bank Name",
                "accountNumber": "XXXXXXXXXX",
                "accountName": "ROUTELIFT TECHNOLOGI(Matthew )"
            }
        ]
    },
    "message": "Wallet balance fetched successfully!"
}
```

| Field   | Type    | Description                        |
| ------- | ------- | ---------------------------------- |
| success | boolean | Indicates if the request succeeded |
| data    | object  | Wallet information                 |
| message | string  | Additional response message        |
